- set_fact:
    signal: local-filesystems
  when: zoox_machine_role == 'vision'

- set_fact:
    signal: started lightdm
  when: zoox_machine_role == 'ai'

- name: Configure zooxops/hd_smart_params directory
  become: yes
  file:
    state: directory
    path: "/var/local/zooxops/hd_smart_params"
    mode: '755'
    owner: "{{ ansible_user_id }}"
    group: "{{ ansible_user_gid|default(ansible_user_id) }}"
    recurse: yes

- name: Configure HD SMART Params
  template:
    src: hd_smart_params.conf
    dest: /etc/init/hd_smart_params.conf
    mode: '644'
  become: yes
